{
  "name": "sample-frontend-react",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@emotion/react": "^11.10.4",
    "@emotion/styled": "^11.10.4",
    "@hookform/resolvers": "^2.9.7",
    "@mui/material": "^5.10.7",
    "antd": "^4.22.8",
    "axios": "^0.26.1",
    "he": "^1.2.0",
    "html-to-text": "^8.2.1",
    "moment": "^2.29.4",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-hook-form": "^7.34.2",
    "react-icons": "^4.4.0",
    "react-query": "^3.34.16",
    "react-router-dom": "^6.4.2",
    "react-scripts": "5.0.0",
    "redux-thunk": "^2.4.1",
    "styled-components": "^5.3.3",
    "yup": "^0.32.11"
  },
  "devDependencies": {
    "@commitlint/cli": "^16.2.3",
    "@commitlint/config-conventional": "^16.2.1",
    "@testing-library/jest-dom": "^5.16.2",
    "@testing-library/react": "^12.1.4",
    "@testing-library/user-event": "^13.5.0",
    "@types/jest": "^27.4.1",
    "@types/node": "^16.11.26",
    "@types/react": "^17.0.40",
    "@types/react-dom": "^17.0.13",
    "@types/styled-components": "^5.1.24",
    "@typescript-eslint/eslint-plugin": "^3.2.0",
    "@typescript-eslint/parser": "^3.2.0",
    "eslint": "^7.2.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-prettier": "^3.1.3",
    "eslint-plugin-react": "^7.29.3",
    "husky": "^7.0.4",
    "lint-staged": "^12.3.5",
    "prettier": "^2.0.5",
    "typescript": "^4.5.5"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "lint": "eslint './**/*.{ts,tsx}' --max-warnings=0",
    "lint:fix": "eslint --fix",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "postinstall": "husky install"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "./**/*.{ts,tsx,json}": [
      "prettier --write",
      "npm run lint"
    ]
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
